@import "responsive";
@import "colors";

body.hide-scroll {
  overflow-y: hidden;
}

.logo {
  cursor: pointer;
}

// Header
.banner .page-container {
  padding-bottom: 0;
}
.header-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.left-side {
  @media (max-width: $small-screen) {
    padding-left: 20px;
  }
  img {
    height: 50px;
    width: 93px;
    @media (max-width: $phone) {
      width: 73px;
      height: 39px;
    }
  }
}
.right-side {
  text-align: right;
  a {
    color: $secondary;
    text-transform: uppercase;
  }

  @media (max-width: $small-screen) {
    padding-right: 20px;
    font-size: 12px;
  }
}

.banner {
  @media (max-width: $big-screen) {
    margin-top: 70px;
  }
  @media (max-width: $small-screen) {
    margin-top: 50px;
  }
  @media (max-width: $phone) {
    margin-top: 30px;
  }
}

// .banner-content {
//   display: flex;
//   align-items: flex-start;

//   .col-md-6 {
//     display: flex;
//     align-items: center;
//   }

//   .text {
//     @media (max-width: $small-screen) {
//       max-width: unset;
//       text-align: center;
//     }
//     h1 {
//       @media (max-width: $small-screen) {
//         font-size: 40px;
//       }
//       @media (max-width: $phone) {
//         text-align: center;
//         margin-bottom: 16px;
//       }
//     }
//     h2 {
//       margin-top: 15px;
//       font-weight: normal;
//       font-size: 24px;
//       line-height: 32px;
//       color: $def-black;
//       @media (max-width: $small-screen) {
//         font-size: 18px;
//         line-height: 1.3;
//         margin-bottom: 24px;
//       }
//     }
//   }
//   .widget {
//     width: 100%;
//     .image-wrapper {
//       float: right;
//     }
//     .panel-wrapper {
//       @media (max-width: $small-screen) {
//         margin: 0;
//       }
//     }
//   }
// }

.page-container {
  max-width: calc(1120px + #{$container-padding} * 2);
  width: 100%;
  padding: $container-padding;
  margin: 0 auto;
  position: relative;
  min-height: 5vh;
  @media (max-width: $small-screen) {
    max-width: calc(1120px + #{$container-padding-sm} * 2);
    padding: $container-padding-sm;
  }
  &.smaller-container {
    max-width: calc(1090px + #{$container-padding} * 2);
    @media (max-width: $small-screen) {
      max-width: calc(1090px + #{$container-padding-sm} * 2);
      padding: $container-padding-sm;
    }
  }
}
.top-header-container {
  padding-left: 15px;
  padding-right: 15px;
}

h1 {
  font-family: "Open Sans";
  font-weight: bold;
  font-size: 64px;
  line-height: 1.1;
  margin: 0;
  color: $primary;
  &::selection {
    background: $primary;
    color: $def-white;
  }
}

h2 {
  font-family: "Open Sans";
  font-size: 56px;
  margin: 0;
  color: $primary;
  line-height: 1.4;
  &::selection {
    background: $primary;
    color: $def-white;
  }
  @media (max-width: $big-screen) {
    font-size: 40px;
    line-height: 1.2;
    margin-bottom: 40px;
  }
}

h3 {
  font-family: "Open Sans";
  font-size: 40px;
  font-weight: bold;
  line-height: 1.4;
  margin: 0;
  color: $secondary;
  &::selection {
    background: $secondary;
    color: $def-white;
  }
  @media (max-width: $big-screen) {
    font-size: 24px;
    line-height: 1.2;
  }
}

h4 {
  font-family: "Open Sans";
  font-size: 24px;
  font-weight: bold;
  line-height: 1.4;
  margin: 0;
  color: $secondary;
  &::selection {
    background: $secondary;
    color: $def-white;
  }
}

p {
  font-family: "Open Sans";
  margin: 0;
  color: $def-black;
  &::selection {
    background: $primary;
    color: $def-white;
  }
}

a {
  text-decoration: none;
  font-weight: bold;
  color: $primary;
}

// widgets

// Widget component

// .panel,
// .widget {
//   .panel-wrapper {
//     margin: 10px 0px;
//     border-radius: 8px;
//     width: calc(100% - 10px);
//     background: $def-white;
//     box-shadow: $shadow-primary;

//     &.active-section {
//       box-shadow: $shadow-active-section;
//     }
//   }
//   &.panel-md,
//   &.widget-md {
//     .panel-wrapper {
//       padding: 40px 32px;
//       width: 100%;
//       display: block;
//       background: linear-gradient(50.53deg, #640061 24.74%, #de4169 155.32%);
//       border-radius: 48px 4px 48px 48px;
//       @media (max-width: $small-screen) {
//         border-radius: 40px 4px 40px 40px;
//       }
//       p {
//         color: $def-white;
//         font-size: 24px;
//         line-height: 1.3;
//       }
//       h3 {
//         font-size: 40px;
//         font-weight: bold;
//         color: $def-white;
//         line-height: 1.3;
//       }
//       .widget-text {
//         display: inline-block;
//         width: calc(100% - 99px - 22px);
//         @media (max-width: $big-screen) {
//           width: calc(100% - 80px - 22px);
//         }
//         @media (max-width: $small-screen) {
//           width: calc(100% - 40px - 12px);
//         }
//       }
//       .image-wrapper {
//         float: left;
//         margin-right: 20px;
//         border-radius: 50%;
//         height: 99px;
//         width: 99px;
//         background: transparent;
//         display: inline-flex;
//         justify-content: center;
//         align-items: center;
//         img {
//           width: 100%;
//           height: 100%;
//         }
//         @media (max-width: $big-screen) {
//           width: 80px !important;
//           height: 80px !important;
//         }
//         @media (max-width: $small-screen) {
//           width: 40px !important;
//           height: 40px !important;
//         }
//       }
//     }
//   }
//   &.panel-l,
//   &.widget-l {
//     .panel-wrapper  {
//       padding: 36px 30px;
//       width: 100%;
//       display: flex;
//       align-items: flex-start;
//       background: $def-white;
//       box-shadow: $shadow-primary;

//       &.active-section {
//         box-shadow: $shadow-active-section;
//       }
//     }
//     &.panel-horizontal,
//     &.widget-horizontal {
//       .panel-wrapper {
//         flex-direction: row;
//         .text {
//           width: 45%;
//           margin-right: 10px;
//           //max-height: 220px;
//           display: flex;
//           flex: 1 0 auto;
//           align-items: flex-start;
//           justify-content: space-between;
//           flex-direction: column;
//           align-self: stretch;
//         }
//         .graphics {
//           width: 55%;
//           margin-left: 10px;
//           height: 100%;
//           h4 {
//             margin-bottom: 10px;
//           }
//           .graph {
//             width: 100%;
//             height: calc(100% - 30px);
//             background: linear-gradient(
//                 180deg,
//                 #424242 0%,
//                 rgba(139, 139, 139, 0) 100%
//               ),
//               #545454;
//             display: flex;
//             justify-content: center;
//             align-items: center;
//             .pie {
//               background: red;
//               width: 100%;
//               height: auto;
//               padding-bottom: 100%;
//             }
//           }
//         }
//         .text-right-side {
//           text-align: left;
//           h3 {
//             font-size: 56px;
//             line-height: 1.1;
//           }
//           p {
//             line-height: 1.6;
//           }
//         }
//       }
//     }
//     &.panel-vertical,
//     &.widget-vertical {
//       .panel-wrapper {
//         flex-direction: column;
//         align-items: center;

//         .text {
//           h3 {
//             margin-bottom: 30px;
//           }
//           p {
//             margin-bottom: 15px;
//           }
//         }
//         .graphics {
//           width: 100%;
//           h4 {
//             margin-bottom: 10px;
//           }
//           .graph {
//             width: 100%;
//             height: auto;
//             padding-bottom: 100%;
//             background: linear-gradient(
//                 180deg,
//                 #424242 0%,
//                 rgba(139, 139, 139, 0) 100%
//               ),
//               #545454;
//           }
//         }
//         .text-right-side {
//           text-align: left;
//           width: 100%;
//           margin-top: 20px;
//           h3 {
//             font-size: 56px;
//             line-height: 1.1;
//           }
//           p {
//             line-height: 1.6;
//             a {
//               margin-top: 10px;
//             }
//           }
//         }
//       }
//     }
//   }
// }
// .panel-l {
//   margin-bottom: 22px;
//   margin-top: 10px;
//   padding-left: 16px !important;
//   padding-right: 16px !important;
// }
// .panel-l .panel-wrapper {
//   padding: 32px 32px;
//   align-items: flex-start !important;
//   height: 100%;
//   width: 100%;
//   h4 {
//     margin-bottom: 14px;
//   }
// }

//Homepage content
// .section-darker {
//   background: $def-white;
//   padding-top: 70px;
//   padding-bottom: 70px;
// }

// .layout-text-table {
//   .text {
//     width: 50%;
//     h2 {
//       font-size: 40px;
//       line-height: 1.4;
//     }
//     h3 {
//       font-size: 24px;
//       font-weight: normal;
//       line-height: 1.4;
//       margin: 10px 0px;
//     }
//   }
//   .table {
//     background: linear-gradient(180deg, #424242 0%, rgba(139, 139, 139, 0) 100%),
//       #545454;
//     padding: 30px 56px;
//     margin-left: 20px;
//     h2 {
//       font-size: 24px;
//       color: #979797;
//     }
//     table {
//       text-align: center;
//       margin-top: 20px;
//       width: 100%;
//       color: #979797;
//       border-collapse: collapse;
//       tr {
//         td,
//         th {
//           padding: 16px 5px;
//           border: 4px solid white;
//           &:nth-of-type(1) {
//             border-left: none;
//           }
//           &:nth-last-of-type(1) {
//             border-right: none;
//           }
//         }
//         &:nth-of-type(1) {
//           th {
//             border-top: none;
//           }
//         }
//         &:nth-last-of-type(1) {
//           td,
//           th {
//             border-bottom: none;
//           }
//         }
//       }
//     }
//   }
// }

// .widget-section {
//   h2 {
//     text-align: center;
//     font-size: 56px;
//     line-height: 1.1;
//   }
//   .widgets {
//     margin-top: 80px;
//     .col {
//       margin-bottom: 30px;
//     }
//     .widget {
//       height: 100%;
//     }
//   }
// }

// pr-menu pr-menu-item.active {
//   .widget-sm {
//     box-shadow: 10px 28px 80px rgba(100, 0, 97, 0.23);
//     &:hover {
//       box-shadow: 10px 28px 80px rgba(100, 0, 97, 0.23);
//     }
//     h2 {
//       color: $def-white !important;
//     }
//   }

//   &.security {
//     .widget-sm {
//       background: linear-gradient(90deg, #ffae48 -1.56%, #eecb14 103.13%);
//     }
//   }
//   &.recycling {
//     .widget-sm {
//       background: linear-gradient(90deg, #1ad3b2 -1.56%, #1acbb1 103.13%);
//     }
//   }
//   &.mobility {
//     .widget-sm {
//       background: linear-gradient(90deg, #530da5 -1.56%, #7c1edb 103.13%);
//     }
//   }
//   &.cars {
//     .widget-sm {
//       background: linear-gradient(90deg, #e85655 -1.56%, #f99a4b 103.13%);
//     }
//   }
//   &.health {
//     .widget-sm {
//       background: linear-gradient(90deg, #1ad3b2 -1.56%, #1acbb1 103.13%);
//     }
//   }
//   &.housing {
//     .widget-sm {
//       background: linear-gradient(90deg, #c71c48 -1.56%, #e9426c 103.13%);
//     }
//   }
//   &.tourism {
//     .widget-sm {
//       background: linear-gradient(90deg, #43c8f0 -1.56%, #2e91f1 103.13%);
//     }
//   }
//   &.transport {
//     .widget-sm {
//       background: linear-gradient(90deg, #ff4ea9 -1.56%, #ff7276 103.13%);
//     }
//   }
//   &.natural-environment {
//     .widget-sm {
//       background: linear-gradient(90deg, #01734f -1.56%, #0fb966 103.13%);
//     }
//   }
//   &.citymanagement {
//     .widget-sm {
//       background: linear-gradient(90deg, #20169e -0.78%, #7770d7 100%);
//     }
//   }
//   &.curiosity {
//     .widget-sm {
//       background: linear-gradient(90deg, #0b578e -0.78%, #d7d789 100%);
//     }
//   }
//   &.economy {
//     .widget-sm {
//       background: linear-gradient(90deg, #d11818 -0.78%, #ed42f0 100%);
//     }
//   }
//   &.education {
//     .widget-sm {
//       background: linear-gradient(90deg, #ff10a7 -0.78%, #700072 100%);
//     }
//   }
// }
